Get my tasks of an asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/user/assets/{asset_id}/tasks

Get the tasks of an asset that are assigned to you. Tasks of closed projects are not listed.

Path parameters

  • asset_id string(uuid) Required

    Unique identifier of the asset

Responses

  • 200 application/json

    The list of tasks

    Hide response attributes Show response attributes object
    • id string(uuid)

      Task unique identifier

    • name string

      Task name

    • task_type_id string(uuid)

      Task type identifier

    • task_status_id string(uuid)

      Task status identifier

    • assigner_id string(uuid)

      Person who assigned the task

    • assignees array[string(uuid)]

      List of assigned person identifiers

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 403

    You use a bot token

  • 404

    The asset does not exist

GET /data/user/assets/{asset_id}/tasks
curl -X GET "http://api.example.com/data/user/assets/a24a6ea4-ce75-4665-a070-57453082c25/tasks" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/assets/a24a6ea4-ce75-4665-a070-57453082c25/tasks"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "b35b7fb5-df86-5776-b181-68564193d360",
    "name": "Modeling",
    "task_type_id": "c46c80c6-e097-6887-c292-79675204e470",
    "task_status_id": "d57d91d7-f108-7998-d403-80786315f580",
    "assigner_id": "e68e02e8-0219-8009-e514-918974260690",
    "assignees": [
      "f79f13f9-1320-9010-f625-a09008537180"
    ],
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]